FUNCTION TEMPL(3)

NAME
boost::algorithm::erase_range - Erase range algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/erase.hpp>
template<typename SequenceT>
  void erase_range(SequenceT & Input,
                   const iterator_range< typename range_iterator< SequenceT >::type > & SearchRange);

DESCRIPTION

Remove the given range from the input. The input sequence is modified in-place.

Parameters:

    Input
        An input sequence

    SearchRange
        A range in the input to be removed